import axios from "@/utils/request";

export function getThrDiProducts(query) {
    return axios({
        url: "/udiwms/thrsys/getThrProductsDiList",
        method: "get",
        params: query
    });
}

export function delThrDiProducts(query) {
    return axios({
        url: "/udiwms/thrsys/delThrAddDiProducts",
        method: "post",
        data: query
    });
}

export function updateDiProduct(data) {
    return axios({
        url: '/udiwms/thrsys/updateThrAddDiProducts',
        method: 'post',
        data: data
    })
}

export function addDiProduct(data) {
    return axios({
        url: '/udiwms/thrsys/addThrAddDiProducts',
        method: 'post',
        data: data
    })
}

export function getDiProductDetail(query) {
    return axios({
        url: "/udiwms/thrsys/getDiProductDetail",
        method: "get",
        params: query
    })
}

